--- /dev/null
+#!/bin/bash
+
+if [ $# -ne 1 ]; then
+ echo "usage: $0 number_of_repeats"
+ exit 1
+fi
+
+for i in $(seq 1 $1); do
+ echo "Running repeat $i..."
+ date
+ ./run_campaign.sh tsup-mta-3.cfg
+
+ date
+ ./stop_xbt_tracker.sh
+ ./start_xbt_tracker.sh
+ ./run_campaign.sh tsup-1t-3.cfg
+ ./stop_xbt_tracker.sh
+done
# XBTUT_PATH
XBTUT_ABS_PATH="/home/p2p/export/unified-tracker/trunk/xbt/Tracker"
+# XBT_PATH
+XBT_ABS_PATH="/home/p2p/export/xbt_tracker/xbt/Tracker"
+
# SWIFT_PATH
SWIFT_ABS_PATH="/home/p2p/swift-vs-utp/swift"
--- /dev/null
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+ echo "usage: $0 campaign_file n_times sleep_sec"
+ exit 1
+fi
+
+campaign="$1"
+n_times="$2"
+sleep_sec="$3"
+
+for i in $(seq 1 "$n_times"); do
+ ./run_campaign.sh "$campaign"
+ echo Waiting "$sleep_sec" seconds...
+ sleep "$sleep_sec"
+done
DEBUG echo "$(basename $0): background_pid is ${background_pid}"
# wait for client to start
+sleep 5
while true; do
#echo "ps --ppid ${background_pid} -o pid -o cmd"
#ps --ppid ${background_pid} -o pid -o cmd
#ps --ppid ${background_pid} -o 'pid=' -o 'cmd=' | grep './swift' | grep -v 'grep' | grep -v 'ps'
#client_pid=$(ps --ppid ${background_pid} -o 'pid=' -o 'cmd=' | grep './swift' | grep -v 'grep' | grep -v 'ps' | awk '{print $1;}')
#client_pid=$(ps --ppid ${background_pid} | grep -v '/bin/.*sh' | grep -v 'PID' | tail -1 | awk '{print $1;}')
- #client_pid=$(pgrep -P ${background_pid})
+ client_pid=$(pgrep -P ${background_pid})
+ DEBUG echo "background_pid=${background_pid}; client_pid=${client_pid}"
#if ! test -z ${client_pid}; then # ps ended successfully
- pidof swift
- client_pid=$(pidof swift)
+# pidof swift
+# client_pid=$(pidof swift)
if [ ! -z "$client_pid" ]; then
break
fi
done
+
DEBUG echo "$(basename $0): client_pid is ${client_pid}"
if [ -z $(ps -p "$background_pid" -o pid=) ]; then
--- /dev/null
+#!/bin/bash
+#
+# Calin-Andrei Burloiu, 2010, calin.burloiu@gmail.com
+#
+# Use this script to manually run the tsup trackers from 08 301-312.
+#
+
+# Read the global configuration file
+# Check if the global configuration file exists
+if [ ! -e globalconfig ]; then
+ echo "Warning: The global config file globalconfig does not exist."
+else
+ source globalconfig
+fi
+
+ssh p2p@p2p-next-08.grid.pub.ro -p 30122 "cd ${XBT_ABS_PATH}; ./xbt_tracker"
+
--- /dev/null
+#!/bin/bash
+#
+# Calin-Andrei Burloiu, 2010, calin.burloiu@gmail.com
+#
+# Use this script to manually stop the tsup trackers from 08 301-312.
+#
+
+ssh p2p@p2p-next-08.grid.pub.ro -p 30122 "pkill -KILL -f xbt_tracker"
+